aboutsummaryrefslogtreecommitdiff
path: root/examples/example3/example3.sh
diff options
context:
space:
mode:
authorCody Hiar <codyfh@gmail.com>2019-01-12 17:05:29 -0700
committerCody Hiar <codyfh@gmail.com>2019-01-12 17:05:29 -0700
commit8f7de74cd6fb4317771586c65b43f8a6e4d85f26 (patch)
tree4f21c02b1d83853103fd0238b36e9e1596eb59ef /examples/example3/example3.sh
Some working files
Diffstat (limited to 'examples/example3/example3.sh')
-rwxr-xr-xexamples/example3/example3.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/examples/example3/example3.sh b/examples/example3/example3.sh
new file mode 100755
index 0000000..b1676a4
--- /dev/null
+++ b/examples/example3/example3.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+# vim: set filetype=sh
+#
+# Author: Cody Hiar
+# Date: 2019-01-15
+#
+# Description: Show how to build image, then run
+# it.
+#
+# Set options:
+# e: Stop script if command fails
+# u: Stop script if unset variable is referenced
+# x: Debug, print commands as they are executed
+# o pipefail: If any command in a pipeline fails it all fails
+#
+set -exuo pipefail
+
+# Build the image
+docker build -t vim_image .
+
+# Run the image
+docker run --rm -it -v "$(pwd)":/usr/src/app vim_image /bin/bash -c vim